package com.prolog.cs.biz.inbound.service.task;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.task.TaskRcvDetailDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface TaskRcvDetailService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add TaskRcvDetailDTO 
 	*/
	public Object add(TaskRcvDetailDTO taskRcvDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit TaskRcvDetailDTO 
 	*/
	public Object edit(String pkId,TaskRcvDetailDTO taskRcvDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete TaskRcvDetailDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete TaskRcvDetailDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search TaskRcvDetailDTO 
 	*/
	public Page<TaskRcvDetailDTO> findList(TaskRcvDetailDTO taskRcvDetailDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd TaskRcvDetailDTO 
 	*/
	public Object batchAdd(List<TaskRcvDetailDTO> taskRcvDetailDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit TaskRcvDetailDTO 
 	*/
	public Object batchEdit(List<TaskRcvDetailDTO> taskRcvDetailDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all TaskRcvDetailDTO 
 	*/
	public List<TaskRcvDetailDTO> findAll(TaskRcvDetailDTO taskRcvDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne TaskRcvDetailDTO 
 	*/
	public TaskRcvDetailDTO findByPkId(String pkId);
}
